<template>
    <div class="app-mob-treeview <#if ctrl.getPSSysCss()??><#assign singleCss = ctrl.getPSSysCss()> ${singleCss.getCssName()}</#if>">
    <#if ctrl.render??>
    ${ctrl.render.code}
    <#else>
        <ion-searchbar></ion-searchbar>
        <div class="treeNav">
            <template v-for="(item,index) in treeNav">
            <ion-label  :key="index" :class="index+1 < treeNav.length? 'treeNav-active':'' ">{{item}}</ion-label>
            <span class="tree-span" :key="index+'span'" v-if="index+1 < treeNav.length">></span>
            </template>
        </div>
        <div class="tree-partition"></div>
        <ion-list>
        <ion-item v-for="item in nodes" :key="item.id" @click="click_node(item)">
            <ion-label>{{item.text}}</ion-label>
            <ion-icon class="tree-icon" slot="end" name="chevron-forward-outline"></ion-icon>
        </ion-item>
       </ion-list>

        <#if ctrl.getPSDETreeNodes?? && ctrl.getPSDETreeNodes()??>
        <div class="tree-partition tree-partition-bigger"></div>
        <ion-list>
        <#list ctrl.getPSDETreeNodes() as node>
        <#if node.isRootNode?? && node.isRootNode()?? && node.isRootNode()>
        <#if node.getPSDETreeNodeRSs?? && node.getPSDETreeNodeRSs()??>
        <#list node.getPSDETreeNodeRSs() as nodeitem>
        <#if nodeitem.getChildPSDETreeNode?? && nodeitem.getChildPSDETreeNode()??>
        <#assign nodeitemchild = nodeitem.getChildPSDETreeNode()>
        <#if nodeitemchild.getTreeNodeType?? && nodeitemchild.getTreeNodeType()?? && nodeitemchild.getTreeNodeType() == 'STATIC'>
        <#if nodeitemchild.hasPSDETreeNodeRSs?? && nodeitemchild.hasPSDETreeNodeRSs()?? && !nodeitemchild.hasPSDETreeNodeRSs() >
        <ion-item>
            <ion-label>${nodeitemchild.getName()}</ion-label>
        </ion-item>
        </#if>
        </#if>
        </#if>
        </#list>
        </#if>
        </#if>
        </#list>
       </ion-list>
       </#if>
    </#if>
    </div>
</template>